From a93b777b9bfeef6fe4494cb43d07826cf458eb61 Mon Sep 17 00:00:00 2001
From: Iván Ávalos <avalos@disroot.org>
Date: Feb 21 2023 09:06:55 +0000
Subject: [PATCH 16/33] [gajim-plugin-omemo]: upgrade to v2.9.0


---

diff --git a/pcr/gajim-plugin-omemo/PKGBUILD b/pcr/gajim-plugin-omemo/PKGBUILD
index d545c34..bef7fef 100644
--- a/pcr/gajim-plugin-omemo/PKGBUILD
+++ b/pcr/gajim-plugin-omemo/PKGBUILD
@@ -1,9 +1,8 @@
 # Maintainer (aur): Bjoern Franke <bjo+aur at schafweide.org>
 # Contributor: Tommaso Sardelli <lacapannadelloziotom AT gmail DOT com>
-
-# Maintainer: David P. <megver83@parabola.nu>
-# Contributor: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
-# Contributor: Wael Karram <wael@waelk.tech>
+# Maintainer: David P. <megver83 at parabola.nu>
+# Contributor: Denis 'GNUtoo' Carikli <GNUtoo at cyberdimension.org>
+# Contributor: Wael Karram <wael at waelk.tech>
 
 
 # parabola changes and rationale:
@@ -12,24 +11,24 @@
 
 pkgname=gajim-plugin-omemo
 _pkgname=omemo
-pkgver=2.8.17
+pkgver=2.9.0
 pkgrel=1
 _pythonversion=3.10
 pkgdesc='Gajim plugin for OMEMO Multi-End Message and Object Encryption.'
 arch=(any)
 url='https://dev.gajim.org/gajim/gajim-plugins/wikis/OmemoGajimPlugin'
 license=('GPL')
-depends=('gajim>=1.5' 'gajim<=1.5.90' 'python-qrcode' 'python-setuptools' 'python-cryptography' 'python-axolotl')
+depends=('gajim>=1.6' 'gajim<=1.6.90' 'python-qrcode' 'python-setuptools' 'python-cryptography' 'python-axolotl')
 provides=('gajim-plugin-omemo')
 conflicts=('gajim-plugin-omemo-git')
 source=("https://ftp.gajim.org/plugins/master/${_pkgname}/${_pkgname}_${pkgver}.zip")
-sha512sums=('b3206865d5e9e5c44fe6b798992c2a8ca39c6920d7836d3c39cfd53ca6c0ba329ce4b494340c12e2cf5ca24f2fa8cacbb510f4a664bb588f7d3f6ff5e053172b')
+sha512sums=('c17140f3a15167d6e8c0dd5de3af6888c21a8e06c114daede3010e611ca50fe210cef9f1eadd8c869b641d852ce123cd8bab4d74de5ed4034325cb5eb821514a')
 
 package() {
   cd "${srcdir}"
 
   # Remove unnecessary files
-  rm CHANGELOG COPYING || ! echo "cleanup needs re-working"
+  rm -f CHANGELOG COPYING
 
   # Install the plugin
   install -d "${pkgdir}/usr/lib/python${_pythonversion}/site-packages/gajim/data/plugins/${_pkgname}"

